#
# spec file for package libmesode
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define c_lib   libmesode0
Name:           libmesode
Version:        0.9.1
Release:        lp150.1.4
Summary:        An XMPP library for C
License:        GPL-3.0+ or MIT
Group:          Development/Libraries/C and C++
Url:            https://github.com/boothj5/libmesode
Source0:        https://github.com/boothj5/%{name}/archive/%{version}.tar.gz
Patch0:         libmesode-0.9.1-openssl-1.1.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  libexpat-devel >= 2.0.0
BuildRequires:  libopenssl-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  make
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Mesode is a collection of libraries for speaking the XMPP protocol.
It focus extends chat-based applications; it has has been used to
implement real-time games, notification systems, and search engines.

%package -n libmesode-devel
Summary:        Development files for libmesode, an XMPP library
Group:          Development/Libraries/C and C++
Requires:       libmesode0 = %{version}

%description -n libmesode-devel
Mesode is a collection of libraries for speaking the XMPP protocol.

This package contains the development files and headers for libmesode.

%package -n %{c_lib}
Summary:        An XMPP library for C
Group:          System/Libraries

%description -n %{c_lib}
Mesode is a collection of libraries for speaking the XMPP protocol.
It focus extends chat-based applications; it has has been used to
implement real-time games, notification systems, and search engines.

%prep
%setup -q
%patch0 -p1

%build
mkdir m4
./bootstrap.sh
%configure --disable-static --with-libxml2
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
rm %{buildroot}%{_libdir}/libmesode.la

%post -n libmesode0 -p /sbin/ldconfig

%postun -n libmesode0 -p /sbin/ldconfig

%files -n libmesode0
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_libdir}/libmesode.so.*

%files -n libmesode-devel
%defattr(-,root,root)
%{_libdir}/libmesode.so
%{_includedir}/mesode.h
%{_libdir}/pkgconfig/libmesode.pc

%changelog
* Mon Dec  4 2017 mvetter@suse.com
- Add libmesode-0.9.1-openssl-1.1.patch:
  Fix build with openssl 1.1.
  Taken from commits:
  * 5ab52edb943985fc3943b33d9a6be1b23045a052
  * b91872cf7e7ed4d2443ab5c622f4cdb395d64dbe
* Sun Nov  6 2016 jengelh@inai.de
- Trim prose from description
* Wed Nov  2 2016 dheidler@suse.de
- initial package for 0.9.1
